QT binary creator: Wie Paket schnüren dass alte Installation überschreiben kann?

Alles zu Entwicklungsumgebungen und Editoren für Qt
Antworten
joebar
Beiträge: 177
Registriert: 3. Oktober 2006 02:04

QT binary creator: Wie Paket schnüren dass alte Installation überschreiben kann?

Beitrag von joebar » 20. Juli 2018 15:52

Hallo,

ich nutze den Qt binary creator um ein Installationspaket zu schnüren. Das funktioniert auch soweit. Z.B.

Code: Alles auswählen

binarycreator.exe -v -f -p packages -c config/config.xml myTool.exe
Wenn ich jetzt einen neue Version meines Programms veröffentlichen will so erstelle ich einfach mit dem Tool wie oben wieder ein neues Paket, wobei ich in den Metadaten einfach die Versionsnummer erhöhe. z.B. von 1.0 auf 1.1

Wenn jetzt ein User 1.0 installiert hat und er versucht das neue Paket mit 1.1 zu installieren kommt die Fehlermeldung dass das Installationsverzeichnis schon existiert und auch schon eine Installation enthält. Das stimmt natürlich, ich will es aber überschreiben. Kann ich die Pakete irgendwie so schnüren dass man die alte Version (meinetwegen nach einer Warnung) auch überschreiben kann?

Danke!

Antworten